<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::StaticGeometry::LODBucket Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">Ogre::StaticGeometry::LODBucket</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#e0d1a31cb942c4eaab6c75c9f86b95c8">addRenderables</a>(RenderQueue *queue, uint8 group, Real camSquaredDistance)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">Ogre::StaticGeometry::LODBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#491d98e5031fc4db2bcb77e9c6aa3460">assign</a>(QueuedSubMesh *qsm, ushort atLod)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">Ogre::StaticGeometry::LODBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#b686c556b75f53c03cd554bd90b632c2">build</a>(bool stencilShadows)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">Ogre::StaticGeometry::LODBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#e19ddefa8cc12cf219b3bb88b56a31f6">dump</a>(std::ofstream &amp;of) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">Ogre::StaticGeometry::LODBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#ba243a0af2f306b9181b573dcb3967a1">getLod</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">Ogre::StaticGeometry::LODBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#b772c6af3bb6cf79a5f6bb3bb3d84aaa">getMaterialIterator</a>(void)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">Ogre::StaticGeometry::LODBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#5d7eea966adea0bb4f256150e124931b">getParent</a>(void)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">Ogre::StaticGeometry::LODBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#bf5da8fc3e2ac676a1a447751f9bb740">getSquaredDistance</a>(void) const </td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">Ogre::StaticGeometry::LODBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#2db377e01fa7f8ec683fc997d2bdbbb2">LODBucket</a>(Region *parent, unsigned short lod, Real lodDist)</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">Ogre::StaticGeometry::LODBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#c66c126a9e8cace5c45cf200d17221fe">MaterialBucketMap</a> typedef</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">Ogre::StaticGeometry::LODBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#6240319f801ee4f58cacb9ceccd9496b">MaterialIterator</a> typedef</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">Ogre::StaticGeometry::LODBucket</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#67e09710f5418970c58ed89a027a488f">mLod</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">Ogre::StaticGeometry::LODBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#f65f1afc96fc9ed08484f19e9ae3f609">mMaterialBucketMap</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">Ogre::StaticGeometry::LODBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#03f9b9248ff57644c60dc0b4682d293c">mParent</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">Ogre::StaticGeometry::LODBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#01726fd1d7aae9f58c14207a9a0d827c">mQueuedGeometryList</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">Ogre::StaticGeometry::LODBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#b32f6759b0952234ea7e1adf10ef4dcd">mSquaredDistance</a></td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">Ogre::StaticGeometry::LODBucket</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#0214a1aba4c2f4c14b27ad5ef6a9c559">~LODBucket</a>()</td><td><a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html">Ogre::StaticGeometry::LODBucket</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:07 2008
</p>
</body>
</html>
